# SQLite. Versions 3.8.0 and up are supported.
#   gem install sqlite3
#
#   Ensure the SQLite 3 gem is defined in your Gemfile
#   gem "sqlite3"
#
default: &default
  adapter: postgresql
  pool: <%= ENV.fetch("RAILS_MAX_THREADS") { 5 } %>
  timeout: 5000

development:
  <<: *default
  database: bakalarka_development
  username: postgres
  password: postgres
# Warning: The database defined as "test" will be erased and
# re-generated from your development database when you run "rake".
# Do not set this db to the same as development or production.
test:
  <<: *default
  database: bakalarka_test
  strict: false
  username: postgres
  password: postgres
  host: <%= ENV.fetch("DATABASE_HOST") { 'localhost' } %>
  port: 5432

production:
  <<: *default
  database: <%= ENV['DATABASE_URL'] %>
